Bug 239179 - sys-config-network 1.3.96 compile mismatch with rtl8187 wlan driver
sys-config-network 1.3.96 compile mismatch with rtl8187 wlan driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 13:26 EDT by TJ Hoye
Modified: 2008-05-06 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TJ Hoye 2007-05-05 13:26:14 EDT
Description of problem:
Network Device Control 1.3.96 tries and fails to set rate on rtl8187 usb wifi,
Subsequently fails to connect *and* hangs network processes.

work-around (assuming rate already set or set via command line) is to delete 
'rate='  line in /etc/sysconfig/networking/devices/ifcfg-wlan0.

Version-Release number of selected component (if applicable):
system-config-network 1.3.96 

How reproducible:
always


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Doesn't work *and* hangs system.

Expected results:
At *least* fail soft, don't hang the system.

Additional info:
Error message indicates NDC 1.3.96 and driver for wlan0 are compiled with
different version numbers and 'some things may be broken'.
They are.
Comment 1 TJ Hoye 2007-05-07 15:04:33 EDT
fedora message, system working fairly well, otherwise:

[root@clara ~]# iwconfig wlan0 > warning.txt
Warning: Driver for device wlan0 has been compiled with version 22
of Wireless Extension, while this program supports up to version 20.
Some things may be broken...

Comment 2 Bug Zapper 2008-04-03 20:32:37 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:40:51 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.